### Method

# Qmi Device delete_all_links

since: 1.28

#### Declaration [src]

    void
    qmi_device_delete_all_links (
      QmiDevice* self,
      const gchar* base_ifname,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously deletes all virtual network interfaces that have been previously created with `qmi_device_add_link()` in `base_ifname`.

When the operation is finished `callback` will be called. You can then call `qmi_device_delete_link_finish()` to get the result of the operation.

<note><para> There is no guarantee that other processes haven’t created new links by the time this method returns. This method should be used with caution, or in setups where only one single process is expected to do QMI network interface link management. </para></note>.

Available since: 1.28

This method completes asynchronously. Use `qmi_device_delete_all_links_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`base_ifname`

  Type: `const gchar*`

  The interface where all links are available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.